import { Client } from 'pg';
export declare const client: Client;
export interface UserRow {
    userId: number;
    userName: string;
    userEmail: string;
    userAvatar: string | null;
    userActive: Date | null;
}
export declare const users: import("../../src").Table<{
    userId: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    userName: string;
    userEmail: string;
    userAvatar: string | null;
    userActive: Date | null;
}, {
    userId: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    userName: string;
    userEmail: string;
    userAvatar: string | null;
    userActive: Date | null;
}, {}>;
export interface ItemRow {
    itemId: number;
    itemLabel: string;
    itemUserId: number;
    itemActive: boolean;
}
export declare const items: import("../../src").Table<{
    itemId: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    itemLabel: string;
    itemUserId: number;
    itemActive: boolean;
}, {
    itemId: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    itemLabel: string;
    itemUserId: number;
    itemActive: boolean;
}, {}>;
export interface EventRow {
    eventId: number;
    eventItemId: number;
    eventType: string;
    eventTimestamp: Date;
    eventPayload: {
        data: string;
    } | null;
}
export declare const events: import("../../src").Table<{
    eventId: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    eventItemId: number;
    eventType: string;
    eventTimestamp: Date;
    eventPayload: {
        data: any;
    } | null;
}, {
    eventId: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    eventItemId: number;
    eventType: string;
    eventTimestamp: Date;
    eventPayload: {
        data: any;
    } | null;
}, {}>;
export interface EventTypeRow {
    type: string;
    description: string;
    active: boolean;
}
export declare const eventTypes: import("../../src").Table<{
    type: "A" | "B" | "C" | "D" | "E" | "X";
    description: string;
    active: boolean;
}, {
    type: "A" | "B" | "C" | "D" | "E" | "X";
    description: string;
    active: boolean;
}, {}>;
export declare enum EventTypeEnum {
    TypeA = "A",
    TypeB = "B",
    TypeC = "C",
    TypeD = "D",
    TypeE = "E",
    TypeX = "X",
    TypeNumber = 0
}
export declare const eventTypesWithEnum: import("../../src").Table<{
    type: EventTypeEnum;
    description: string;
    active: boolean;
}, {
    type: EventTypeEnum;
    description: string;
    active: boolean;
}, {}>;
export declare const emptyTable: import("../../src").Table<{
    id: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    value: string;
    active: boolean;
}, {
    id: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    value: string;
    active: boolean;
}, {}>;
export declare const jsonAnyTable: import("../../src").Table<{
    id: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    value: any;
}, {
    id: number & {
        __typesafeQueryBuilderHasDefault?: true | undefined;
    };
    value: any;
}, {}>;
