/**
 * Tracks the dollar parameters and maps them to keys.
 *
 * Postgres only supports positional arguments in queries. So we need to
 * track them when the query is built at the end as we want our parameter type
 * to be an object so it works across subqueries and is mergable.
 */
export declare class BuildContext {
    private offset;
    private mutableParameterMapping;
    setParameterOffset(offset: number): void;
    getNextParameter(name: string): string;
    getParameterMapping(): string[];
    getParameters(paramObject: {
        [paramKey: string]: any;
    }): any[];
}
